<template>
	<div :id="id" class="u-block-spacing" :class="$style.block">
		<component :is="headingTag" class="u-heading u-heading--pre-line">{{ heading }}</component>

		<p v-if="description" class="u-subheading u-subheading--pre-line">{{ description }}</p>
	</div>
</template>

<script>
export default {
	props: {
		id: {
			type: String,
			default: null,
		},

		heading: {
			type: String,
			default: '',
		},

		headingLevel: {
			type: String,
			default: '',
		},

		description: {
			type: String,
			default: '',
		},
	},

	computed: {
		headingTag() {
			return `h${this.headingLevel || 2}`;
		},
	},
};
</script>

<style lang="scss" module>
@import '@design';

.block {
	max-width: 100rem;
	padding: 0 size('s');
	margin-right: auto;
	margin-left: auto;
}
</style>
